#ifndef XMATERIALVERTEXSHADERPROGRAM_H
#define XMATERIALVERTEXSHADERPROGRAM_H

#include "xasset.h"
#include "xgfxvertexshaderloaddef.h"

class XMaterialVertexShaderProgram : public XAsset
{
public:
    XMaterialVertexShaderProgram();
    ~XMaterialVertexShaderProgram();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    //XD3DVertexShader mVertexShader;
    XGfxVertexShaderLoadDef mLoadDef;
};

#endif // XMATERIALVERTEXSHADERPROGRAM_H
